import * as react_jsx_runtime from 'react/jsx-runtime';
import * as React from 'react';
import { MouseEvent, ReactNode } from 'react';
import { CrossmintAuth } from '@crossmint/client-sdk-auth';
import { UIConfig } from '@crossmint/common-sdk-base';
import { SDKExternalUser } from '@crossmint/common-sdk-auth';
import { AuthStatus, CrossmintAuthProviderEmbeddedWallets, LoginMethod } from '../types/auth.js';
import '@crossmint/client-sdk-react-base';

type CrossmintAuthProviderProps = {
    embeddedWallets?: CrossmintAuthProviderEmbeddedWallets;
    appearance?: UIConfig;
    termsOfServiceText?: string | ReactNode;
    prefetchOAuthUrls?: boolean;
    onLoginSuccess?: () => void;
    authModalTitle?: string;
    children: ReactNode;
    loginMethods?: LoginMethod[];
    refreshRoute?: string;
    logoutRoute?: string;
};
type AuthContextType = {
    crossmintAuth?: CrossmintAuth;
    login: (defaultEmail?: string | MouseEvent) => void;
    logout: () => void;
    jwt?: string;
    user?: SDKExternalUser;
    status: AuthStatus;
    getUser: () => void;
};
declare const AuthContext: React.Context<AuthContextType>;
declare function CrossmintAuthProvider({ embeddedWallets, children, appearance, termsOfServiceText, prefetchOAuthUrls, authModalTitle, onLoginSuccess, loginMethods, refreshRoute, logoutRoute, }: CrossmintAuthProviderProps): react_jsx_runtime.JSX.Element;

export { AuthContext, CrossmintAuthProvider };
