import { CrossmintAuthEmbeddedWallets } from '@crossmint/client-sdk-react-base';

type OtpEmailPayload = {
    email: string;
    emailId: string;
};
type LoginMethod = "email" | "google" | "farcaster" | "twitter" | "web3" | "web3:evm-only" | "web3:solana-only";
type AuthStatus = "logged-in" | "logged-out" | "in-progress" | "initializing";
type CrossmintAuthProviderEmbeddedWallets = Omit<CrossmintAuthEmbeddedWallets, "type"> & {
    type?: CrossmintAuthEmbeddedWallets["type"];
    experimental_enableRecoveryKeys?: boolean;
};

export type { AuthStatus, CrossmintAuthProviderEmbeddedWallets, LoginMethod, OtpEmailPayload };
